# This file lists the upstream packages that are not
# products of the LSC or its partners.
#
# Here we pin to a specific version, but not a specific
# build of the upstream packages, mainly because we trust
# that a rebuild of an upstream package is a good thing
# that we should use automatically (if it resolves).
#
# This file follows the more 'standard' conda environment
# file format.

dependencies:
  - ads
  - astroplan
  - astropy
  - astroquery
  - autoconf  # [not win]
  - automake  # [not win]
  - bc  # [not win]
  - beautifulsoup4
  - black
  - build
  - celery
  - celery-eternal
  - celery-singleton
  - certifi
  - click
  - coloredlogs
  - comet
  - compilers
  - configobj=5.0.6
  - cmake
  - corner
  - cudatoolkit=10.0  # [linux]
  - cupy  # [linux]
  - cyrus-sasl=2.1.27  # [not win]
  - cython
  - dbus-python=1.2.16  # [not win]
  - deepdish=0.3.6
  - dill=0.3.3
  - dnspython
  - dynesty=1.0.1
  - emcee=2.2.1  # [py<39]
  - emcee=3.0.2  # [py>=39]
  - epics-base=7
  - flake8
  - flaky
  - flask
  - flask-cache
  - flask-sqlalchemy
  - flex=2.6.4  # [not win]
  - freezegun
  - gct=6.2  # [not win]
  - git
  - git-lfs
  - gitpython
  - gwsurrogate=1.1.0  # [not win]
  - h5py
  - healpy  # [not win]
  - htchirp=2.0
  - htgettoken=1.9  # [not win]
  - htmap=0.6.1  # [linux]
  - humanize
  - ipyaladin
  - ipykernel
  - ipympl
  - ipython
  - jedi
  - jinja2
  - jupyter
  - libstempo>=2.4.2  # [not win]
  - lxml
  - make
  - m2crypto
  - markuppy
  - matplotlib-base
  - mkl
  - mocpy=0.8.5
  - mpi
  - mpld3
  - nbconvert
  - nbformat
  - notebook
  - numba=0.54.0
  - numpy=1.19  # [py<39]
  - numpy=1.20  # [py>=39]
  - obspy=1.2.2  # [py<39]
  - openmpi  # [not win]
  - pandas
  - pandoc
  - pcaspy
  - pepredicates=0.0.3
  - pip
  - pkg-config
  - poetry
  - psycopg2=2.8.6
  - py
  - pyasn1
  - pyasn1-modules
  - pycondor
  - pyepics
  - pyflakes
  - pygments <2.11.0
  - pyinotify  # [linux]
  - pykerberos  # [not win]
  - pylint
  - pyopenssl
  - pyrxp
  - pytables
  - pytest
  - pytest-cov
  - pytest-mock
  - pytest-runner
  - pytest-socket
  - pytest-timeout
  - pytest-xdist
  - python-avahi=0.7  # [not win]
  - python-confluent-kafka
  - python-dateutil
  - python-htcondor=9.0.11  # [not win]
  - pegasus-wms.api=5.0.1
  - pytz
  - pyyaml
  - redis-py
  - requests
  - requests-kerberos
  - requests-mock
  - root  # [not win]
  - scikit-image
  - scikit-learn
  - scipy
  - scitokens=1.7.0
  - seaborn
  - sentry-sdk
  - service_identity
  - setuptools
  - shapely
  - six
  - sleekxmpp
  - sqlalchemy
  - swig
  - testfixtures
  - tmux  # [not win]
  - tqdm
  - twine
  - twisted
  - tzlocal=2.1
  - uproot>=4
  - uproot3
  - urllib3
  - virtualenv
  - werkzeug
  - wget  # [not win]
  - wheel
  - wtforms=2.3.3
  - zenodo_get
  - zipp
  - zope.interface
